Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 473002 - dev-db/mysql-5.5.32 - tests fail on rpl.rpl_deadlock_innodb
Summary: dev-db/mysql-5.5.32 - tests fail on rpl.rpl_deadlock_innodb
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux MySQL bugs team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 474800
  Show dependency tree
 
Reported: 2013-06-11 16:48 UTC by Markus Oehme
Modified: 2014-04-25 00:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build log (dev-db:mysql-5.5.32:20130611-145134.log,943.88 KB, text/plain)
2013-06-11 16:48 UTC, Markus Oehme
Details
emerge --info (info.txt,6.23 KB, text/plain)
2013-06-11 16:48 UTC, Markus Oehme
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Oehme 2013-06-11 16:48:06 UTC
Created attachment 350762 [details]
build log

On my hardened ~amd64 machine with gcc-4.8.0 I see the following test failure for mysql. The test rpl.rpl_deadlock_innodb and in the file /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/warnings I find the following output

rpl.rpl_deadlock_innodb
line
130611 18:19:04  InnoDB: Error: table `mysqld.2`.`#sql23f3_5e_1` does not exist in the InnoDB internal
130611 18:19:04  InnoDB: Error: table `mysqld.2`.`#sql23f3_e8_1` does not exist in the InnoDB internal
^ Found warnings in /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/mysqld.2.err
ok
rpl.rpl_filter_tables_not_exist
line
130611 18:44:11 [Warning] Unsafe statement written to the binary log using statement format since BINLOG_FORMAT = STATEMENT. Statement is unsafe because it uses a system function that may return a different value on the slave. Statement: INSERT INTO t5 VALUES (NULL, RAND(), @c)
^ Found warnings in /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/mysqld.1.err
ok
rpl.rpl_deadlock_innodb
line
130611 18:48:03  InnoDB: Error: table `mysqld.2`.`#sql1360_35_1` does not exist in the InnoDB internal
130611 18:48:03  InnoDB: Error: table `mysqld.2`.`#sql1360_35_186` does not exist in the InnoDB internal
130611 18:48:03  InnoDB: Error: table `mysqld.2`.`#sql1360_35_187` does not exist in the InnoDB internal
130611 18:48:03  InnoDB: Error: table `mysqld.2`.`#sql1360_47_1` does not exist in the InnoDB internal
^ Found warnings in /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/mysqld.2.err
ok
Comment 1 Markus Oehme 2013-06-11 16:48:30 UTC
Created attachment 350764 [details]
emerge --info
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2013-06-26 11:25:06 UTC
I'm getting similar errors on my server and laptop:

rpl.rpl_deadlock_innodb 'stmt'           [ fail ]  Found warnings/errors in server log file!
        Test ended at 2013-06-26 02:31:28
line
130626  5:30:46  InnoDB: Error: table `mysqld.2`.`#sql6230_35_1` does not exist in the InnoDB internal
130626  5:30:46  InnoDB: Error: table `mysqld.2`.`#sql6230_35_187` does not exist in the InnoDB internal
130626  5:30:46  InnoDB: Error: table `mysqld.2`.`#sql6230_35_186` does not exist in the InnoDB internal
130626  5:30:46  InnoDB: Error: table `mysqld.2`.`#sql6230_47_1` does not exist in the InnoDB internal
^ Found warnings in /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/mysqld.2.err
ok

 - saving '/var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/rpl.rpl_deadlock_innodb-stmt/' to '/var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/rpl.rpl_deadlock_innodb-stmt/'

Retrying test rpl.rpl_deadlock_innodb, attempt(2/3)...

rpl.rpl_deadlock_innodb 'stmt'           [ retry-pass ]  38299

Retrying test rpl.rpl_deadlock_innodb, attempt(3/3)...

rpl.rpl_deadlock_innodb 'stmt'           [ retry-pass ]  38456



Contents of /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/warnings :

rpl.rpl_deadlock_innodb
line
130626  4:48:53  InnoDB: Error: table `mysqld.2`.`#sql7735_e8_1` does not exist in the InnoDB internal
130626  4:48:53  InnoDB: Error: table `mysqld.2`.`#sql7735_5e_1` does not exist in the InnoDB internal
^ Found warnings in /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/mysqld.2.err
ok
rpl.rpl_filter_tables_not_exist
line
130626  5:24:41 [Warning] Unsafe statement written to the binary log using statement format since BINLOG_FORMAT = STATEMENT. Statement is unsafe because it uses a system function that may return a different value on the slave. Statement: INSERT INTO t5 VALUES (NULL, RAND(), @c)
^ Found warnings in /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/mysqld.1.err
ok
rpl.rpl_deadlock_innodb
line
130626  5:30:46  InnoDB: Error: table `mysqld.2`.`#sql6230_35_1` does not exist in the InnoDB internal
130626  5:30:46  InnoDB: Error: table `mysqld.2`.`#sql6230_35_187` does not exist in the InnoDB internal
130626  5:30:46  InnoDB: Error: table `mysqld.2`.`#sql6230_35_186` does not exist in the InnoDB internal
130626  5:30:46  InnoDB: Error: table `mysqld.2`.`#sql6230_47_1` does not exist in the InnoDB internal
^ Found warnings in /var/tmp/portage/dev-db/mysql-5.5.32/work/mysql/mysql-test/var-tests/log/mysqld.2.err
ok
Comment 3 Brian Evans Gentoo Infrastructure gentoo-dev 2013-10-08 16:47:36 UTC
Upstream bug http://bugs.mysql.com/bug.php?id=69455
Comment 4 David Heidelberg (okias) 2014-01-12 13:37:28 UTC
"A fix for this was pushed in 5.5.35, 5.6.16, 5.7.3." quote from http://bugs.mysql.com/bug.php?id=69455
Comment 5 Brian Evans Gentoo Infrastructure gentoo-dev 2014-04-25 00:59:23 UTC
Closing as mysql-5.5.37 is in the tree